Subject: Re: [Isis-wg] [Bier] BAR field length in draft-ietf-bier-isis-extensions and draft-ietf-bier-ospf-extensions
From: "Jeffrey (Zhaohui) Zhang" <[email-masked]>
To: "IJsbrand Wijnands (iwijnand)" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, IJsbrand Wijnands <[email-masked]>, "[email-masked]" <[email-masked]>, Eric Rosen <[email-masked]>
Date: Wed, 21 Feb 2018 14:17:47 +0000
List-Id: IETF IS-IS working group <isis-wg.ietf.org>

To make it absolutely clear using an example: even with <BART 1, BARM 200> it is still that the two fields are independent of each other.
This particular combination means “apply BART 1” to “Flexible-Algo 200”, where “Flexible-Algo 200” could be “exclude red links”, while “BART 1” could be “skip BIER incapable routers”.

This is a very practical and concrete example showing the advantage of having two separate fields. Other ways could be used to achieve the same result, but they’re more cumbersome.

Jeffrey

From: BIER [mailto:[email-masked]] On Behalf Of IJsbrand Wijnands (iwijnand)
Sent: Wednesday, February 21, 2018 8:40 AM
To: Jeffrey (Zhaohui) Zhang <[email-masked]>
Cc: [email-masked]; [email-masked]; IJsbrand Wijnands <[email-masked]>; [email-masked] <[email-masked]>; Eric Rosen <[email-masked]>
Subject: Re: [Bier] BAR field length in draft-ietf-bier-isis-extensions and draft-ietf-bier-ospf-extensions

Ice: No, BART is not being slaved here. If BARM is 0, BART is all yours.

Zzh> BART is BIER’s no matter what BARM is; not only when BARM is 0.

Ice: Yes, sorry, I agree, BART is always BIER and BARM is always IGP.

Ice: What I meant to clarify is that BART is not slaved to BARM (IGP) and v.s., if BART is used, BARM will just be 0.

Thx,

Ice.

THx,

Ice.

Jeffrey

Registry Algorithm a.k.a as BARM then ... Without this section we would be mandating that BARM is always an IGP algorithm or FA so basically it would mandate IGP

Ice: Yes, BARM will be the IGP algorithm. That is to accommodate the people on the list who are of the opinion that aligning with IGP is important.

Algorithm registry as the only option to perform a calculation making BART possibly pretty much useless ... Having a registry being mapped 1:1 into  another registry known

Ice: I don't understand why you are saying this. If BARM is 0, BART is all yours. Its unfortunate that a large part of the discussion is dominated by perceived functionality in the form of BIER Algorithm, while there is no architecture draft that describes how it should work and no discussion has happen in any IETF meeting, which leaves us all guessing. I think Alia asked a very good question on the list regarding "constraints". It is not at all clear if BART is a Algorithm or a Constraint. I think from your response you're saying its both, which seems wrong IMO.. To me Alia's question is still open, but that that may be because I could not decipher the rest of your response.

as identity makes them both them the same thing by another name.
So, to get anywhere close to consensus let's get bit less creative maybe and stick to the four letters of the alphabet that the AD extended as a wide playing field and the WG seems to converge around ... Or otherwise stick to option F) unmodified and see who's
interested in it unless you insist on creating an option G) ...

Ice: Jeffrey brought option F to the list in order to discuss it, that is what we are doing, and that is how you can converge on a solution and reach consensus. That is better compared to a vote on an option and everybody walks away with a different interpretation of it.

Thx,

Ice.